Bug 1577172 - Nouveau-related kernel issue on login
Summary: Nouveau-related kernel issue on login
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 28
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 11:52 UTC by Stephen Gallagher
Modified: 2019-05-28 20:11 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:11:27 UTC
Type: Bug


Attachments (Terms of Use)

Description Stephen Gallagher 2018-05-11 11:52:29 UTC
Description of problem:
ABRT notification upon login that cannot be reported because "The backtrace does not contain enough meaningful function frames to be reported. It is annoying but it does not necessary signalize a problem with your computer. ABRT will not allow you to create a report in a bug tracking system but you can contact kernel maintainers via e-mail."

Three separate ABRT calls are logged, but after the first they are marked as "tainted".


Version-Release number of selected component (if applicable):
kernel-4.16.7-300.fc28.x86_64
xorg-x11-drv-nouveau-1.0.15-4.fc28.x86_64

How reproducible:
Every boot on my Lenovo P50 with Quadro M1000M configured to use only the Nouveau graphics in the BIOS (the hybrid Intel/Nouveau setup has other issues like https://bugzilla.redhat.com/show_bug.cgi?id=1576931).

Steps to Reproduce:
1. Install F28 Workstation on Lenovo configured as above
2. Log in to GNOME on Wayland

Actual results:
ABRT reports three kernel errors and taints the kernel so that further errors cannot be reported.

Expected results:

Log in should not report kernel errors.

Additional info:

BUG: unable to handle kernel NULL pointer dereference at 000000000000004d
IP: nvkm_dp_acquire+0x59/0xc90 [nouveau]
PGD 0 P4D 0 
Oops: 0000 [#1] SMP PTI
Modules linked in: fuse thunderbolt nvmem_core ccm xt_CHECKSUM tun ipt_MASQUERADE nf_nat_masquerade_ipv4 xt_addrtype nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack br_netfilter overlay devlink ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables bnep sunrpc vfat fat arc4 snd_hda_codec_hdmi intel_rapl iTCO_wdt x86_pkg_temp_thermal intel_powerclamp iTCO_vendor_support coretemp mei_wdt kvm_intel iwlmvm kvm mac80211 snd_hda_codec_realtek snd_hda_codec_generic
 irqbypass intel_cstate intel_uncore snd_hda_intel intel_rapl_perf snd_hda_codec btusb btrtl btbcm snd_hda_core btintel iwlwifi snd_hwdep uvcvideo snd_seq bluetooth snd_seq_device videobuf2_vmalloc videobuf2_memops snd_pcm videobuf2_v4l2 videobuf2_common thinkpad_acpi intel_wmi_thunderbolt videodev cfg80211 rtsx_pci_ms snd_timer joydev media i2c_i801 wmi_bmof snd memstick tpm_tis mei_me tpm_tis_core ecdh_generic mei tpm soundcore intel_pch_thermal rfkill shpchp xfs libcrc32c dm_crypt nouveau mxm_wmi i2c_algo_bit rtsx_pci_sdmmc drm_kms_helper mmc_core e1000e ttm crct10dif_pclmul crc32_pclmul crc32c_intel drm nvme ghash_clmulni_intel rtsx_pci ptp nvme_core pps_core serio_raw wmi video
CPU: 7 PID: 15244 Comm: kworker/7:2 Not tainted 4.16.7-300.fc28.x86_64 #1
Hardware name: LENOVO 20EQS64N0B/20EQS64N0B, BIOS N1EET70W (1.43 ) 07/12/2017
Workqueue: events nvkm_notify_work [nouveau]
RIP: 0010:nvkm_dp_acquire+0x59/0xc90 [nouveau]
RSP: 0018:ffffbd7fccf47d60 EFLAGS: 00010212
RAX: ffff9d3bbaaa94f8 RBX: ffff9d3bb9a8f800 RCX: ffff9d3be3de0460
RDX: ffff9d3bbf953f00 RSI: ffff9d3bb9a8f8f0 RDI: ffff9d3bb9a8f928
RBP: 0000000000000000 R08: ffff9d3be3de1560 R09: ffff9d3bbaaba460
R10: ffff9d3bbaaba408 R11: ffff9d3be3ddf944 R12: ffff9d3bbf488280
R13: ffff9d3bb9cf1240 R14: ffff9d3bb94b2180 R15: ffff9d3bb9a8f8f0
FS:  0000000000000000(0000) GS:ffff9d3be3dc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000000000000004d CR3: 00000005d920a005 CR4: 00000000003606e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400

Comment 1 Ben Cotton 2019-05-02 19:18:13 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-05-02 21:48:21 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-28 20:11:27 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.